import Command from '../lib/base';
import { flags } from '@oclif/command';
import { AxiosInstance } from 'axios';
export default class New extends Command {
    static description: string;
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        tag: flags.IOptionFlag<string[]>;
        action: flags.IOptionFlag<string | undefined>;
        image: flags.IOptionFlag<string | undefined>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    uploadImage(imagePath: string): Promise<unknown>;
    doCommand(userConfig: Record<string, any>, client: AxiosInstance): Promise<void>;
}
